Package commoble.morered.client

# Class TintRotatingModelLoader

java.lang.Object
commoble.morered.client.TintRotatingModelLoader

All Implemented Interfaces:
  `net.minecraftforge.client.model.geometry.IGeometryLoader<TintRotatingModelLoader.TintRotatingModelGeometry>`

public class TintRotatingModelLoader extends Object implements net.minecraftforge.client.model.geometry.IGeometryLoader<TintRotatingModelLoader.TintRotatingModelGeometry>
model loader that "rotates" a tintindex in a predefined way we have wire blocks where we want parts of the wire models to be tinted based on the power of the wire but different parts of the wire have different power values we define a custom model loader here to alter the canonical tintindexes based on the way we rotate the base models so they draw power data from the correct attachment faces of the wire blocks tintindex 0 is reserved for particles the next six indexes 1-6 indicate a face in dunswe order (down, up, north, south, west east) // this is the wire face we read power data from, not the face of the quad the next 12 indexes 7-18 indicate convex edges -- these use the power values of two adjacent wires to determine their color (consult Edge or EdgeRotations for edge indices) in the actual model jsons, we will assign tintindexes to quads depending on their position in the canonical model we will then sneakily replace the quads when we bake them, updating the tintindexes based on the model transform to more appropriate values

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`TintRotatingModelLoader.TintRotatingModelBuilder`
`static class`
`TintRotatingModelLoader.TintRotatingModelGeometry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final TintRotatingModelLoader`
`INSTANCE`

## Constructor Summary

Constructors
Constructor
Description
`TintRotatingModelLoader()`

## Method Summary

Modifier and Type
Method
Description
`TintRotatingModelLoader.TintRotatingModelGeometry`
`read(com.google.gson.JsonObject modelContents, com.google.gson.JsonDeserializationContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### INSTANCE

public static final TintRotatingModelLoader INSTANCE

## Constructor Details

### TintRotatingModelLoader

public TintRotatingModelLoader()

## Method Details

### read

public TintRotatingModelLoader.TintRotatingModelGeometry read(com.google.gson.JsonObject modelContents, com.google.gson.JsonDeserializationContext context)

Specified by:
  `read` in interface `net.minecraftforge.client.model.geometry.IGeometryLoader<TintRotatingModelLoader.TintRotatingModelGeometry>`